Package org.jcsp.util.filter

# Class PoisonFilterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.lang.ChannelDataRejectedException
org.jcsp.lang.PoisonException
org.jcsp.util.filter.PoisonFilterException

All Implemented Interfaces:
  `Serializable`

public class PoisonFilterException extends PoisonException
Deprecated.
Use poison directly instead

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PoisonFilterException(String message)`
Deprecated.

## Method Summary

### Methods inherited from class org.jcsp.lang.PoisonException

`getStrength`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PoisonFilterException

public PoisonFilterException(String message)
Deprecated.